"""Production Domain - JSONL Handler"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import ProductionSyncNode
from schemas.project_extensions.production import ProductionDetail


class ProductionJsonlHandler(BaseJsonlHandler):
    """投产节点 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "production", ProductionSyncNode, ProductionDetail)
